////////////////////////////////////////////////////////////////// COPYRIGHT //
//
//  XmdvTool Version 4.0 - A program for Multivariate Data Display
//
//  Copyright 1994-1999, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty. 
//  In no event will the authors be held liable for any damages arising 
//  from the use of this software.
// 
//  Authors:
//      Matthew O. Ward, Allen R. Martin, Ying-Huey Fua
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/~xmdv
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to the
//  XmdvTool Development Team: <matt@cs.wpi.edu>.
//
////////////////////////////////////////////////////////////////// COPYRIGHT //

#ifndef RGB_H
#define RGB_H

struct RGBt {
    float R,G,B;

    RGBt(void) : R(1), G(1), B(1) {}

    RGBt(float r,float g,float b) : R(r), G(g), B(b) {}

    RGBt(const unsigned long &c) {
        B = (c & 0xFF)/255.;
        G = ((c>>8) & 0xFF)/255.;
        R = ((c>>16) & 0xFF)/255.;
    }

    friend ostream &operator<<(ostream &out, const RGBt& v);
};

inline ostream &operator<<(ostream &out, const RGBt &c)
{
    out << " [ r=" << c.R << " g=" << c.G << " b=" << c.B << " ] ";
    return out;
}

#endif
