////////////////////////////////////////////////////////////////// COPYRIGHT //
//
//  XmdvTool Version 4.0 - A program for Multivariate Data Display
//
//  Copyright 1994-1999, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//      Matthew O. Ward, Allen R. Martin, Ying-Huey Fua
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/~xmdv
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to the
//  XmdvTool Development Team: <matt@cs.wpi.edu>.
//
////////////////////////////////////////////////////////////////// COPYRIGHT //

#ifndef XMDVTOOL_H
#define XMDVTOOL_H

#include "okcdata.H"
#include "macros.H"

//jing

extern struct okcdata *dataset;

extern int DSIZE;

enum interface_item {
    BG,
    TEXT,
    DATA,
    HIGHLIGHT,
    OVERLAP,
    PAINT,
    GRID1,
    GRID2,
    GRID3,
    STAT1,
    STAT2,
    BRUSH1,
    BRUSH2,
    BRUSH3,
    BRUSH4,
    SBB,
    NUM_INTERFACE_ITEM
};
extern unsigned long interface_color[NUM_INTERFACE_ITEM];
extern void appCanvasMousePan(struct grCanvas *);
extern void appRefreshAllCanvas(struct Tcl_Interp *interp, struct grCanvas *except_this=0);
extern void appSetupBrushStatistics(struct Tcl_Interp *interp);
extern void appRefreshGlyphPlacementDialog(struct Tcl_Interp *interp);
extern void appUpdateClusterRadiusSliders(struct Tcl_Interp *interp);
extern void appCanvasBrushHasChanged(Tcl_Interp *interp);
extern void appShowCaption(Tcl_Interp *interp, const char *str);
extern void appCanvasInputKeyPress(struct grCanvas *canvas, int key);
extern void appCanvasInputKeyRelease(struct grCanvas *canvas, int key);

#endif
