////////////////////////////////////////////////////////////////// COPYRIGHT //
//
//  XmdvTool Version 4.0 - A program for Multivariate Data Display
//
//  Copyright 1994-1999, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty.
//  In no event will the authors be held liable for any damages arising
//  from the use of this software.
//
//  Authors:
//      Matthew O. Ward, Allen R. Martin, Ying-Huey Fua
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/~xmdv
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to the
//  XmdvTool Development Team: <matt@cs.wpi.edu>.
//
////////////////////////////////////////////////////////////////// COPYRIGHT //

#ifndef BRUSH_OPER_H
#define BRUSH_OPER_H

#include "brush.H"

#define MAXOPER 30

// the conjunctions
enum BrushConjunct { AND, OR, XOR };
enum BrushOperator { HIGH=1<<0, MASK=1<<1, VALUES=1<<2, AVERAGE=1<<3 };

struct BrushOperation {
    int num_brush;                  // how many brushes are in this operation
    int not[MAXBRUSH];              // the not's
    int brush[MAXBRUSH];            // the brush numbers
    BrushConjunct conj[MAXBRUSH-1]; // the conjunctions
    int oper;                       // the operation
};

extern void BrushOperMarkDataset();
extern void BrushOperListInit();
extern int BrushOperNew();
extern void BrushOperDelete(int which);
extern void BrushOperLowerPriority(int which);
extern void BrushOperRaisePriority(int which);
extern const char *BrushOperGenerateString(int which);
extern int BrushOperCompAverage(int op, ARR<float> &aver);
extern bool BrushOperCheckPoint(const ARR<float> &point, int which_op);

extern BrushOperation brush_ops[MAXOPER];
extern int num_oper;         // number of operations

#endif
