////////////////////////////////////////////////////////////////// COPYRIGHT //
//
//  XmdvTool Version 4.0 - A program for Multivariate Data Display
//
//  Copyright 1994-1999, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty. 
//  In no event will the authors be held liable for any damages arising 
//  from the use of this software.
// 
//  Authors:
//      Matthew O. Ward, Allen R. Martin, Ying-Huey Fua
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/~xmdv
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to the
//  XmdvTool Development Team: <matt@cs.wpi.edu>.
//
////////////////////////////////////////////////////////////////// COPYRIGHT //

#ifndef MACROS_H
#define MACROS_H

#define DB(var)               { \
        cout << "" #var " = "; \
        cout << var; \
        cout << "\n"; flush(cout); }

#include <fstream.h>
extern ofstream LOGFP;

#define LOG(var)               { \
        LOGFP << "" #var " = "; \
        LOGFP << var; \
        LOGFP << "\n"; flush(LOGFP); }

#define VV <<" "<<

#ifndef MIN
# define MIN(X,Y) ((X)<(Y)?(X):(Y))
#endif
#ifndef MAX
# define MAX(X,Y) ((X)>(Y)?(X):(Y))
#endif

#define BITCLEAR(var,bits) {var&=(0xffff^(bits));}
#define BITSET(var,bits) {var|=(bits);}
#define BITTEST(var,bits) (((var)&(bits))==bits)

#define CLAMP(A,L,H) (((A)<(L))?(L):( ((A)>(H))?(H):A ))
  

#endif
