////////////////////////////////////////////////////////////////// COPYRIGHT //
//
//  XmdvTool Version 4.0 - A program for Multivariate Data Display
//
//  Copyright 1994-1999, All Rights Reserved.
//
//  Permission to use, copy, modify and distribute this software and
//  its documentation for educational, research and non-profit
//  purposes, without fee, and without a written agreement is hereby
//  granted, provided that this copyright notice appear in all copies.
//
//  Permission to incorporate this software into commercial products
//  may be obtained directly from the authors.
//
//  This software is provided "as is" without express or implied warranty. 
//  In no event will the authors be held liable for any damages arising 
//  from the use of this software.
// 
//  Authors:
//      Matthew O. Ward, Allen R. Martin, Ying-Huey Fua
//      Computer Science Department
//      Worcester Polytechnic Institute
//      Worcester, MA 01609 USA
//
//      http://davis.wpi.edu/~xmdv
//
//  Send bug reports, bug fixes, enhancements, requests, or comments to the
//  XmdvTool Development Team: <matt@cs.wpi.edu>.
//
////////////////////////////////////////////////////////////////// COPYRIGHT //

#ifndef PARCOORD_H
#define PARCOORD_H

#include "ARR.H"

extern void RegisterParcoordCanvas(struct grCanvas *canvas);
extern void do_par(struct grCanvas *canvas);
extern void DrawParcoordAverage(struct grCanvas *canvas, const ARR<float> &data);
extern void DrawParcoordAxes(struct grCanvas *canvas);
extern void DrawParcoordBrush(struct grCanvas *canvas, class Brush *brush);
extern void DrawParcoordBrushes(struct grCanvas *canvas);
extern void InputParcoordMouseMotion(struct grCanvas *canvas, int x, int y);
extern void InputParcoordButtonPress(struct grCanvas *canvas, int button, int x, int y);
extern void InputParcoordButtonRelease(struct grCanvas *canvas, int button, int x, int y);

extern int maskBrushedData;
extern int maskUnbrushedData;
extern int maskBrush;
extern int brushPaint;
#endif
